メインコンテンツへスキップ
GET
/
v3beta1
/
enterprise
/
hypervisors
ハイパーバイザーの一覧を表示
curl --request GET \
  --url https://api.devin.ai/v3beta1/enterprise/hypervisors \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "cloud_provider_instance_id": "<string>",
      "created_at": 123,
      "hypervisor_id": "<string>",
      "last_heartbeat": 123,
      "status": "<string>",
      "utilization_percentage": 123
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

権限

Enterprise レベルで ViewEnterpriseInfraDetails 権限が付与されたサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

クエリパラメータ

after
string | null
first
integer
デフォルト:100
必須範囲: 1 <= x <= 200
status
enum<string>
デフォルト:available
利用可能なオプション:
available,
restarting,
disconnected,
terminated,
draining,
all

レスポンス

成功時のレスポンス

items
HypervisorResponse · object[]
必須
end_cursor
string | null

次のページを取得するためのカーソル。最後のページであれば None です。

has_next_page
boolean
デフォルト:false

このページ以降に、さらに取得可能な項目があるかどうか。

total
integer | null

合計件数(任意。パフォーマンス向上のため省略可能)。